# Uses of Class
org.opensaml.saml.common.messaging.context.SAMLPeerEntityContext

Packages that use SAMLPeerEntityContext
Package
Description
org.opensaml.saml.common.binding.security.impl
Classes responsible for performing transport-related and basic message validation of decoded SAML messages.

## Uses of SAMLPeerEntityContext in org.opensaml.saml.common.binding.security.impl

Fields in org.opensaml.saml.common.binding.security.impl declared as SAMLPeerEntityContext
Modifier and Type
Field
Description
`private SAMLPeerEntityContext`
BaseSAMLSimpleSignatureSecurityHandler.`peerContext`
The context representing the SAML peer entity.
`private SAMLPeerEntityContext`
BaseSAMLXMLSignatureSecurityHandler.`peerContext`
The context representing the SAML peer entity.
Methods in org.opensaml.saml.common.binding.security.impl that return SAMLPeerEntityContext
Modifier and Type
Method
Description
`protected SAMLPeerEntityContext`
BaseSAMLXMLSignatureSecurityHandler.`getSAMLPeerEntityContext()`
Get the `SAMLPeerEntityContext` associated with the message.